catalog
Look up an agent by its UUID or name (registry-entry lookup).
Look up an agent by its UUID or name (registry-entry lookup). Equivalent to GET /agents/ but exposed at the /registries/ path for clients that use the registry-centric URL scheme.
GET
/
api
/
registries
/
{id}
Look up an agent by its UUID or name (registry-entry lookup).
curl --request GET \
--url https://api.example.com/api/registries/{id}import requests
url = "https://api.example.com/api/registries/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/registries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"can_manage": true,
"capabilities": "<unknown>",
"compress_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"description": "<string>",
"has_coding_skills": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_coding_agent": true,
"metadata": "<unknown>",
"minimal_code_enabled": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preferredTransport": "<string>",
"protocolVersion": "<string>",
"security": [
"<unknown>"
],
"securitySchemes": "<unknown>",
"signatures": [
"<unknown>"
],
"skills": [
"<unknown>"
],
"status": "<string>",
"supportsAuthenticatedExtendedCard": true,
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"version": "<string>",
"additionalInterfaces": "<unknown>",
"coding_agent_integration_id": "<string>",
"display_name": "<string>",
"documentationUrl": "<string>",
"iconUrl": "<string>",
"provider": "<unknown>"
},
"message": "<string>",
"status_code": 1
}⌘I
Look up an agent by its UUID or name (registry-entry lookup).
